Why isn't npm pulling the latest version?


(David Ansermino) #1

I am using the truffle package which depends on ganache-core which depends on solc (truffle -> ganache-core -> solc). Inside of the ganache-core package.json the solc dependency is listed as "solc": "^0.4.23". When I install the dependencies for truffle it installs solc v0.4.23 inside of the ganache-core node_modules instead of the latest version which is v0.4.24. Why is this? I have tried clearing the npm cache with npm cache clean -f


(Markus Tacker) #2

truffle does not depend on ganache-core: https://www.npmjs.com/package/truffle (check the dependencies tab)


(system) #3

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.